<?php

declare(strict_types=1);

namespace Dedi\SyliusQuotePlugin\EventListener\Menu;

use Sylius\Bundle\UiBundle\Menu\Event\MenuBuilderEvent;

class AccountMenuListener
{
    public function __invoke(MenuBuilderEvent $event): void
    {
        $menu = $event->getMenu();
        $menu
            ->addChild('quotes', ['route' => 'dedi_quote_shop_account_quote_index'])
            ->setLabel('dedi_quote.ui.quotes')
            ->setLabelAttribute('icon', 'handshake');
    }
}
